Subject: [TR] Stag engine and gearbox

From: John Macartney <[email-masked]>
Date: Mon, 9 Feb 2026 19:34:21 +0000

Mark,

The two people who spring to mind are Glenn Merrell and Joe Pawlak, both formerly of Stag Club USA. I think Glenn is still on this list and Joe is contactable (I would think) through ISOA ILLINOIS SPORTS OWNERS. Joe and his team entirely rebuilt the ‘73 Stag I drove across the States and Canada, with Duncan Wood of Red River Triumphs in Texas also a possible contributor? Those three might be able to help you out?

Jonmac
** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive

Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]